package interfaz.acciones;


import java.awt.event.ActionEvent;
import java.util.ResourceBundle;

import javax.swing.AbstractAction;

public class AccionCambiarDirectorioTrabajoCompilacion extends AbstractAction {

	/** Serial Version UID */ 
	private final static long	serialVersionUID	= 2L;

	/** recursos para dar soporte sobre idiomas	 */
	static ResourceBundle					idiomas				= ResourceBundle
																.getBundle( "interfaz.idiomas.Recursos" );
	/** recursos de iconos etc...	 */
	static ResourceBundle					recursos			= ResourceBundle
																.getBundle( "interfaz.Recursos" );

	{
		putValue( LARGE_ICON_KEY , recursos.getObject( "img_cambiarDT" ) );
		putValue( MNEMONIC_KEY , idiomas.getObject( "mne_cambiarDTcompilacion" ) );
		putValue( ACCELERATOR_KEY , idiomas.getObject( "key_cambiarDTcompilacion" ) );
		putValue( SHORT_DESCRIPTION , idiomas.getString( "tip_cambiarDTcompilacion" ) );
		putValue( NAME, idiomas.getString( "eti_cambiarDTcompilacion" ) );
	}

	InterfazCambiarDirectorioTrabajo i;


	public AccionCambiarDirectorioTrabajoCompilacion ( InterfazCambiarDirectorioTrabajo i ) {
		this.i = i;
	}

	public void actionPerformed ( ActionEvent event ) {
		i.cambiarDirectorioTrabajo( );
	}
}