	/** Es la acción de Cerrar una
	 * pestaña. 
	 */
package interfaz.acciones;

import java.awt.event.ActionEvent;
import java.util.ResourceBundle;

import javax.swing.AbstractAction;

public class AccionCerrar extends AbstractAction {

	/** Serial Version UID */ 
	private final static long	serialVersionUID	= 2L;
	
	/** recursos para dar soporte sobre idiomas	 */
	static ResourceBundle					idiomas				= ResourceBundle
																.getBundle( "interfaz.idiomas.Recursos" );
	/** recursos de iconos etc...	 */
	static ResourceBundle					recursos			= ResourceBundle
																.getBundle( "interfaz.Recursos" );

	{
		putValue( LARGE_ICON_KEY , recursos.getObject( "img_cerrar" ) );
		putValue( MNEMONIC_KEY , idiomas.getObject( "mne_cerrar" ) );
		putValue( ACCELERATOR_KEY , idiomas.getObject( "key_cerrar" ) );
		putValue( SHORT_DESCRIPTION , idiomas.getString( "tip_cerrar" ) );
		putValue( NAME, idiomas.getString( "eti_cerrar" ) );
	}
	
	InterfazCerrar i;
	
	
	public AccionCerrar( InterfazCerrar i ) {
		this.i = i;
	}
	
	public void actionPerformed ( ActionEvent event ) {
		i.cerrarPestañaActiva();
	}
}
