package interfaz.acciones;


import java.awt.event.ActionEvent;
import java.util.ResourceBundle;

import javax.swing.Action;

public class AccionVistaCompilacion extends AccionVistaActiva {

	/** Serial Version UID */ 
	private final static long	serialVersionUID	= 2L;

	/** recursos para dar soporte sobre idiomas	 */
	static ResourceBundle					idiomas				= ResourceBundle
																.getBundle( "interfaz.idiomas.Recursos" );
	/** recursos de iconos etc...	 */
	static ResourceBundle					recursos			= ResourceBundle
																.getBundle( "interfaz.Recursos" );

	{
		putValue( LARGE_ICON_KEY , recursos.getObject( "img_vistaCompilacion" ) );
		putValue( MNEMONIC_KEY , idiomas.getObject( "mne_vistaCompilacion" ) );
		putValue( ACCELERATOR_KEY , idiomas.getObject( "key_vistaCompilacion" ) );
		putValue( SHORT_DESCRIPTION , idiomas.getString( "tip_vistaCompilacion" ) );
		putValue( NAME, idiomas.getString( "eti_vistaCompilacion" ) );
	}

	InterfazVistaActivaCompilacion i;


	public AccionVistaCompilacion ( InterfazVistaActivaCompilacion i ) {
		this.i = i;
	}

	public void actionPerformed ( ActionEvent event ) {
		i.vistaActivaCompilacion( );
	}
	
	public 	void setActivo ( boolean vistaActiva ) {
		if ( vistaActiva == true ) {
			this.putValue( Action.LARGE_ICON_KEY , recursos
				.getObject( "img_vistaCompilacion_activado" ) );
		} else {
			this.putValue( Action.LARGE_ICON_KEY , recursos
			.getObject( "img_vistaCompilacion" ) );
		}
	}
}