package interfaz.dialogos.dialogoAbrir;


import java.io.File;

import java.util.ResourceBundle;

import javax.swing.filechooser.FileFilter;

import negocio.PreferenciasSingleton;

import modelo.ficheros.UtilidadesExtensionFichero;

public class XMLFilter extends FileFilter {
	ResourceBundle propiedades = ResourceBundle.getBundle("interfaz.idiomas.Recursos", 
			PreferenciasSingleton.getPreferenciasSingleton( ).getPreferencias( ).getLocale( ) );


	//Acepta todos los directorios y los ficheros de gprof
	public boolean accept(File f) {
		boolean resultado = false;
		if (f.isDirectory())
			resultado = true;
		else if (UtilidadesExtensionFichero.isXML(f))
			resultado = true;
		else
			resultado = false;

		return resultado;
	}

	//The description of this filter
	public String getDescription() {
		return propiedades.getString("des_XML");
	}

}
