/**
 * 
 */

package interfaz.idiomas;

import java.awt.event.ActionEvent;
import java.awt.event.KeyEvent;
import java.util.ListResourceBundle;

import javax.swing.KeyStroke;

/**
 * @author angel
 * 
 */
public class Recursos_es extends ListResourceBundle {
	public Object[][] getContents() {
		return contents;
	}

	private Object[][] contents = {
			
			//ACCIÓN del menú Archivo
			{ "eti_men_archivo", "Archivo" },
			{ "mne_men_archivo", KeyEvent.VK_A },

			//ACCIÓN del submenú Abrir
			{ "eti_men_abrir", "Abrir" },
			{ "mne_men_abrir", KeyEvent.VK_A },
			
			//ACCIÓN Abrir Fuente
			{ "eti_abrirFuente", "Abrir Fuente ..." },
			{ "mne_abrirFuente", KeyEvent.VK_F },
			{ "tip_abrirFuente", "Abrir una nueva pestaña de fichero fuente" },
			{ "key_abrirFuente", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_F, ActionEvent.ALT_MASK) },
			
			//ACCIÓN Abrir Compilacion
			{ "eti_crearCompilacion", "Crear Compilación ..." },
			{ "mne_crearCompilacion", KeyEvent.VK_M },
			{ "tip_crearCompilacion", "Abrir una nueva pestaña para compilar ficheros" },
			{ "key_crearCompilacion", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_M, ActionEvent.ALT_MASK) },
						
			
			//ACCIÓN Abrir Ejecucion
			{ "eti_abrirEjecucion", "Abrir Programa ..." },
			{ "mne_abrirEjecucion", KeyEvent.VK_B },
			{ "tip_abrirEjecucion", "Abrir una nueva pestaña de ejecución para un programa" },
			{ "key_abrirEjecucion", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_B, ActionEvent.ALT_MASK) },
			
			//ACCIÓN abrir fichero de datos para usar con Gprof
			{ "eti_abrirDatosEjecucion", "Abrir Fichero Datos ..." },
			{ "mne_abrirDatosEjecucion", KeyEvent.VK_H },
			{ "tip_abrirDatosEjecucion", "Abrir un archivo de datos de la ejecución de un programa en una nueva pestaña" },
			{ "key_abrirDatosEjecucion", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_H, ActionEvent.ALT_MASK) },
			
			//ACCIÓN abrir salida estándar de Gprof			
			{ "eti_abrirSalEstGprof", "Abrir Salida Gprof ..." },
			{ "mne_abrirSalEstGprof", KeyEvent.VK_L },
			{ "tip_abrirSalEstGprof", "Abrir la salida estándar de gprof en una nueva pestaña" },
			{ "key_abrirSalEstGprof", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_L, ActionEvent.ALT_MASK) },
			
			//ACCIÓN abrir con XML
			{ "eti_abrirEstadisticasXML", "Abrir Estadísticas XML ..." },
			{ "mne_abrirEstadisticasXML", KeyEvent.VK_X },
			{ "tip_abrirEstadisticasXML", "Abrir una nueva pestaña de estadísticas a partir de un fichero XML" },
			{ "key_abrirEstadisticasXML", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_X, ActionEvent.ALT_MASK) },

			
			//ACCIÓN Cerrar
			{ "eti_cerrar", "Cerrar" },
			{ "mne_cerrar", KeyEvent.VK_UNDEFINED }, //?
			{ "tip_cerrar", "Cerrar la pestaña" },
			{ "key_cerrar", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_F4, ActionEvent.CTRL_MASK) },
			
			
			//ACCIÓN CerrarTodo
			{ "eti_cerrarTodo", "Cerrar Todo" },
			{ "mne_cerrarTodo", KeyEvent.VK_UNDEFINED }, //?
			{ "tip_cerrarTodo", "Cerrar todas las pestañas" },
			{ "key_cerrarTodo", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_F4, ActionEvent.CTRL_MASK + 
						ActionEvent.SHIFT_MASK) },
						
			//ACCIÓN Abrir Sesion
			{ "eti_abrirSesion", "Abrir Sesión ..." },
			{ "mne_abrirSesion", KeyEvent.VK_B },
			{ "tip_abrirSesion", "Abrir una sesión anterior" },
			{ "key_abrirSesion", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_F2, 0 ) },
						
			//ACCIÓN Guardar Sesion
			{ "eti_guardarSesion", "Guardar Sesión ..." },
			{ "mne_guardarSesion", KeyEvent.VK_G },
			{ "tip_guardarSesion", "Guardar la sesión actual" },
			{ "key_guardarSesion", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_F3, 0 ) },
						
			//ACCIÓN Opciones
			{ "eti_opciones", "Opciones ..." },
			{ "mne_opciones", KeyEvent.VK_O },
			{ "tip_opciones", "Editar opciones y preferencias" },
			{ "key_opciones", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_O, ActionEvent.CTRL_MASK) },
						
			//ACCIÓN Salir
			{ "eti_salir", "Salir" },
			{ "mne_salir", KeyEvent.VK_S },
			{ "tip_salir", "Salir del programa" },
			{ "key_salir", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_Q, ActionEvent.CTRL_MASK) },
			

			// ACCIÓN del menú Edicion
			{ "eti_men_edicion", "Edición" },
			{ "mne_men_edicion", KeyEvent.VK_E },

			//ACCIÓN Editar
			{ "eti_editar", "Editar" },
			{ "mne_editar", KeyEvent.VK_I },
			{ "tip_editar", "Editar el fichero fuente en un programa externo" },
			{ "key_editar", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_I, ActionEvent.ALT_MASK) },
						
			//ACCIÓN Actualizar
			{ "eti_actualizar", "Actualizar" },
			{ "mne_actualizar", KeyEvent.VK_Z },
			{ "tip_actualizar", "Actualizar este fichero fuente" },
			{ "key_actualizar", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_F5, 0 ) },
						
			//ACCIÓN Compilar Fuente
			{ "eti_compilarFuente", "Compilar" },
			{ "mne_compilarFuente", KeyEvent.VK_M },
			{ "tip_compilarFuente", "Compilar este fichero fuente" },
			{ "key_compilarFuente", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_ENTER, ActionEvent.ALT_MASK) },

			// ACCIÓN del menú Compilacion
			{ "eti_men_compilacion", "Compilación" },
			{ "mne_men_compilacion", KeyEvent.VK_C },

			
			//ACCIÓN Compilar
			{ "eti_compilar", "Compilar" },
			{ "mne_compilar", KeyEvent.VK_P },
			{ "tip_compilar", "Compilar la pestaña del fichero fuente" },
			{ "key_compilar", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_ENTER, ActionEvent.CTRL_MASK) },

			//ACCIÓN ejecutarCompilado
			{ "eti_ejecutarCompilado", "Ejecutar Programa Compilado" },
			{ "mne_ejecutarCompilado", KeyEvent.VK_O },
			{ "tip_ejecutarCompilado", "Ejecutar el programa resultado de la compilación" },
			{ "key_ejecutarCompilado", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_ENTER, ActionEvent.ALT_MASK) },

			
			//ACCIÓN cambiar Directorio de Trabajo de compilacion
			{ "eti_cambiarDTcompilacion", "Cambiar Directorio de Trabajo ..." },
			{ "mne_cambiarDTcompilacion", KeyEvent.VK_D },
			{ "tip_cambiarDTcompilacion", "Cambiar directorio de trabajo" },
			{ "key_cambiarDTcompilacion", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_D, ActionEvent.ALT_MASK) },
						
			//ACCIÓN cambiar Nombre del programa
			{ "eti_cambiarNombreEjecutable", "Cambiar Nombre Programa ..." },
			{ "mne_cambiarNombreEjecutable", KeyEvent.VK_N },
			{ "tip_cambiarNombreEjecutable", "Cambiar el nombre del programa de salida" },
			{ "key_cambiarNombreEjecutable", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_N, ActionEvent.ALT_MASK) },
								
			
			//ACCIÓN Añadir Ficheros compilacion
			{ "eti_añadirFichero", "Añadir Fichero ..." },
			{ "mne_añadirFichero", KeyEvent.VK_I },
			{ "tip_añadirFichero", "Añadir un fichero a la compilación" },
			{ "key_añadirFichero", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_PLUS, ActionEvent.CTRL_MASK) },
						
			//ACCIÓN Quitar Ficheros compilacion
			{ "eti_quitarFichero", "Quitar Fichero" },
			{ "mne_quitarFichero", KeyEvent.VK_U },
			{ "tip_quitarFichero", "Quitar el fichero de la compilación" },
			{ "key_quitarFichero", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_MINUS, ActionEvent.CTRL_MASK) },

						
			//ACCIÓN Editar Comando compilacion
			{ "eti_editarCmdC", "Editar Comando ..." },
			{ "mne_editarCmdC", KeyEvent.VK_R },
			{ "tip_editarCmdC", "Editar el comando de compilación" },
			{ "key_editarCmdC", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_R, ActionEvent.ALT_MASK) },

			//ACCIÓN del menú Ejecucion
			{ "eti_men_ejecucion", "Ejecución" },
			{ "mne_men_ejecucion", KeyEvent.VK_J },

			//ACCIÓN Ejecutar
			{ "eti_ejecutar", "Ejecutar" },
			{ "mne_ejecutar", KeyEvent.VK_X },
			{ "tip_ejecutar", "Repetir ejecución del fichero ejecutable" },
			{ "key_ejecutar", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_ENTER, ActionEvent.CTRL_MASK) },


/*			//ACCIÓN SumarResultados
			{ "eti_sumarResultados", "Sumar Resultados" },
			{ "mne_sumarResultados", KeyEvent.VK_UNDEFINED },
			{ "tip_sumarResultados", "Repetir ejecución del programa sumando los tiempos al fichero de perfilado" },
			{ "key_sumarResultados", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_R, ActionEvent.CTRL_MASK) },
*/
						
			//ACCIÓN cambiar Nombre fichero de datos gmon.out
			{ "eti_cambiarNombreGmonOut", "Cambiar Nombre Datos ..." },
			{ "mne_cambiarNombreGmonOut", KeyEvent.VK_N },
			{ "tip_cambiarNombreGmonOut", "Cambiar el nombre del fichero de datos (gmon.out)." },
			{ "key_cambiarNombreGmonOut", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_N, ActionEvent.ALT_MASK) },

			//ACCIÓN cambiar Directorio de Trabajo de ejecución
			{ "eti_cambiarDTejecucion", "Cambiar Directorio de Trabajo ..." },
			{ "mne_cambiarDTejecucion", KeyEvent.VK_D },
			{ "tip_cambiarDTejecucion", "Cambiar directorio de trabajo" },
			{ "key_cambiarDTejecucion", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_D, ActionEvent.ALT_MASK) },

					
			//ACCIÓN Añadir Entradas
			{ "eti_añadirEntradas", "Añadir Entrada ..." },
			{ "mne_añadirEntradas", KeyEvent.VK_I },
			{ "tip_añadirEntradas", "Añadir una entrada" },
			{ "key_añadirEntradas", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_PLUS, ActionEvent.CTRL_MASK) },
						
			//ACCIÓN Añadir Fichero Entradas
			{ "eti_añadirEntradasFichero", "Añadir Fichero Entradas ..." },
			{ "mne_añadirEntradasFichero", KeyEvent.VK_F },
			{ "tip_añadirEntradasFichero", "Añadir un fichero de entradas" },
			{ "key_añadirEntradasFichero", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_ASTERISK, ActionEvent.CTRL_MASK) },
						
			//ACCIÓN Quitar Entradas
			{ "eti_quitarEntradas", "Quitar Entrada" },
			{ "mne_quitarEntradas", KeyEvent.VK_U },
			{ "tip_quitarEntradas", "Quitar entrada" },
			{ "key_quitarEntradas", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_MINUS, ActionEvent.CTRL_MASK) },
	
			//ACCIÓN Añadir Argumentos
			{ "eti_añadirArgumentos", "Añadir Argumento ..." },
			{ "mne_añadirArgumentos", KeyEvent.VK_R },
			{ "tip_añadirArgumentos", "Añadir argumentos" },
			{ "key_añadirArgumentos", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_PLUS, ActionEvent.ALT_MASK ) },
						
			//ACCIÓN Quitar Argumentos
			{ "eti_quitarArgumentos", "Quitar Argumento" },
			{ "mne_quitarArgumentos", KeyEvent.VK_M },
			{ "tip_quitarArgumentos", "Quitar argumentos" },
			{ "key_quitarArgumentos", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_MINUS, ActionEvent.ALT_MASK ) },
						
			//ACCIÓN Usar gprof ejecutado
			{ "eti_usarGprofConEjecucion", "Usar Gprof" },
			{ "mne_usarGprofConEjecucion", KeyEvent.VK_P },
			{ "tip_usarGprofConEjecucion", "Usar gprof con el fichero ejecutado" },
			{ "key_usarGprofConEjecucion", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_ENTER, ActionEvent.ALT_MASK) },
								
			//ACCIÓN del menú Gprof
			{ "eti_men_gprof", "Gprof" },
			{ "mne_men_gprof", KeyEvent.VK_G },
			
			//ACCIÓN Pasar a la hoja de traducción
			{ "eti_pasarAXML", "Pasar a XML" },
			{ "mne_pasarAXML", KeyEvent.VK_P },
			{ "tip_pasarAXML", "Usar el traductor con el fichero gprof" },
			{ "key_pasarAXML", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_ENTER, ActionEvent.ALT_MASK) },
						
			// ACCIÓN Gprof
			{ "eti_gprof", "Gprof" },
			{ "mne_gprof", KeyEvent.VK_O },
			{ "tip_gprof", "Invocar gprof" },
			{ "key_gprof", 
				KeyStroke.getKeyStroke(KeyEvent.VK_ENTER, 
						ActionEvent.CTRL_MASK) },

			//ACCIÓN Cambiar Directorio de Trabajo en gprof
			{ "eti_cambiarDTgprof", "Cambiar Directorio Trabajo ..." },
			{ "mne_cambiarDTgprof", KeyEvent.VK_D },
			{ "tip_cambiarDTgprof", "Cambiar el directorio de trabajo" },
			{ "key_cambiarDTgprof", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_D, ActionEvent.ALT_MASK) },
			
			//ACCIÓN editar Programa
			{ "eti_editarProgramaGprof", "Elegir Programa ..." },
			{ "mne_editarProgramaGprof", KeyEvent.VK_M },
			{ "tip_editarProgramaGprof", "Elegir el programa" },
			{ "key_editarProgramaGprof", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_M, ActionEvent.ALT_MASK) },
			
			//ACCIÓN editar Archivo de Datos de la Ejecución
			{ "eti_editarDatosEjecucionGprof", "Cambiar Archivo Datos ..." },
			{ "mne_editarDatosEjecucionGprof", KeyEvent.VK_I },
			{ "tip_editarDatosEjecucionGprof", "Cambiar el archivo de datos de la ejecución del programa" },
			{ "key_editarDatosEjecucionGprof", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_I, ActionEvent.ALT_MASK) },
	
				//ACCIÓN cambiar Nombre de gprof
			{ "eti_cambiarNombreSalida", "Cambiar Nombre Gprof ..." },
			{ "mne_cambiarNombreSalida", KeyEvent.VK_N },
			{ "tip_cambiarNombreSalida", "Cambiar el nombre del fichero salida de gprof." },
			{ "key_cambiarNombreSalida", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_N, ActionEvent.ALT_MASK) },

			//ACCIÓN Editar Comando compilacion
			{ "eti_editarCmdG", "Editar Comando ..." },
			{ "mne_editarCmdG", KeyEvent.VK_R },
			{ "tip_editarCmdG", "Editar comando gprof" },
			{ "key_editarCmdG", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_R, ActionEvent.ALT_MASK) },
						
			//ACCIÓN del menú Traductor
			{ "eti_men_TR", "Traducción" },
			{ "mne_men_TR", KeyEvent.VK_T },
			
			//ACCIÓN Traducir
			{ "eti_traducir", "Pasar a XML" },
			{ "mne_traducir", KeyEvent.VK_P },
			{ "tip_traducir", "Pasar a XML" },
			{ "key_traducir", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_ENTER, ActionEvent.CTRL_MASK) },
						
			//ACCIÓN cambiar Directorio de Trabajo de traduccion
			{ "eti_cambiarDTTR", "Cambiar Directorio de Trabajo ..." },
			{ "mne_cambiarDTTR", KeyEvent.VK_D },
			{ "tip_cambiarDTTR", "Cambiar directorio de trabajo" },
			{ "key_cambiarDTTR", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_D, ActionEvent.ALT_MASK) },
									
			//ACCIÓN Pasar a la hoja de estadísticas
			{ "eti_verEstadisticas", "Ver Estadísticas" },
			{ "mne_verEstadisticas", KeyEvent.VK_I },
			{ "tip_verEstadisticas", "Ver las estadísticas del fichero xml creado" },
			{ "key_verEstadisticas", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_ENTER, ActionEvent.ALT_MASK) },
						
			//ACCIÓN editar Salida
			{ "eti_editarSalidaGprof", "Cambiar Salida ..." },
			{ "mne_editarSalidaGprof", KeyEvent.VK_M },
			{ "tip_editarSalidaGprof", "Cambiar el fichero con la salida estándar de gprof" },
			{ "key_editarSalidaGprof", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_M, ActionEvent.ALT_MASK) },

			
			//ACCIÓN cambiar Nombre del fichero XML
			{ "eti_cambiarNombreXMLGprof", "Cambiar Nombre XML ..." },
			{ "mne_cambiarNombreXMLGprof", KeyEvent.VK_N },
			{ "tip_cambiarNombreXMLGprof", "Cambiar el nombre del fichero XML" },
			{ "key_cambiarNombreXMLGprof", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_N, ActionEvent.ALT_MASK) },
			
			//ACCIÓN Editar Comando traduccion
			{ "eti_editarCmdT", "Editar Comando ..." },
			{ "mne_editarCmdT", KeyEvent.VK_R },
			{ "tip_editarCmdT", "Editar el comando de traducción" },
			{ "key_editarCmdT", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_R, ActionEvent.ALT_MASK) },
			
			//ACCIÓN del menú Estadisticas
			{ "eti_men_estadisticas", "Estadísticas" },
			{ "mne_men_estadisticas", KeyEvent.VK_S },
			
			//ACCIÓN editarXML
			{ "eti_editarXML", "Editar XML" },
			{ "mne_editarXML", KeyEvent.VK_I },
			{ "tip_editarXML", "Editar XML en aplicación externa" },
			{ "key_editarXML", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_I, ActionEvent.ALT_MASK) },

			
			//ACCIÓN PerfilPlano
			{ "mne_PerfilPlano", KeyEvent.VK_P },
			{ "tip_PerfilPlano", "Ver el perfil plano" },
			{ "key_PerfilPlano", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_P, ActionEvent.CTRL_MASK) },
						
			//ACCIÓN GrafoLlamadas
			{ "mne_GrafoLlamadas", KeyEvent.VK_F },
			{ "tip_GrafoLlamadas", "Ver el grafo de llamadas" },
			{ "key_GrafoLlamadas", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_F, ActionEvent.CTRL_MASK) },
						
			//ACCIÓN FuenteAnotado
			{ "mne_FuenteAnotado", KeyEvent.VK_A },
			{ "tip_FuenteAnotado", "Ver el/los fuente/s anotado/s" },
			{ "key_FuenteAnotado", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_A, ActionEvent.CTRL_MASK) },
			
			//ACCIÓN verSalidaGprof
			{ "mne_verSalidaGprof", KeyEvent.VK_L },
			{ "tip_verSalidaGprof", "Ver la salida original de gprof" },
			{ "key_verSalidaGprof", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_L, ActionEvent.CTRL_MASK) },

/*			//ACCIÓN dialogoEstadisticas			
			{ "eti_dialogoEstadisticas", "Preferencias de Estadísticas" },
			{ "mne_dialogoEstadisticas", KeyEvent.VK_P },
			{ "tip_dialogoEstadisticas", "Decidir las preferencias sobre estadísticas" },
			{ "key_dialogoEstadisticas", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_P, ActionEvent.CTRL_MASK) },
			
			//ACCIÓN dialogoTraducir			
			{ "eti_dialogoTraducir", "Preferencias de Traducir XML" },
			{ "mne_dialogoTraducir", KeyEvent.VK_P },
			{ "tip_dialogoTraducir", "Decidir las preferencias sobre traducir XML" },
			{ "key_dialogoTraducir", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_P, ActionEvent.CTRL_MASK) },

			//ACCIÓN dialogoGprof			
			{ "eti_dialogoGprof", "Preferencias de Gprof" },
			{ "mne_dialogoGprof", KeyEvent.VK_P },
			{ "tip_dialogoGprof", "Decidir las preferencias sobre gprof" },
			{ "key_dialogoGprof", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_P, ActionEvent.CTRL_MASK) },
			
			//ACCIÓN dialogoEditar
			{ "eti_dialogoEditar", "Preferencias de Edición" },
			{ "mne_dialogoEditar", KeyEvent.VK_P },
			{ "tip_dialogoEditar", "Decidir las preferencias sobre edición" },
			{ "key_dialogoEditar", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_P, ActionEvent.CTRL_MASK) },
						

			//ACCIÓN dialogoCompilar
			{ "eti_dialogoCompilar", "Preferencias de Compilación" },
			{ "mne_dialogoCompilar", KeyEvent.VK_P },
			{ "tip_dialogoCompilar", "Decidir las preferencias sobre compilación" },
			{ "key_dialogoCompilar", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_P, ActionEvent.CTRL_MASK) },


			//ACCIÓN dialogoEjecutar
			{ "eti_dialogoEjecutar", "Preferencias de Ejecución" },
			{ "mne_dialogoEjecutar", KeyEvent.VK_P },
			{ "tip_dialogoEjecutar", "Decidir las preferencias sobre ejecución" },
			{ "key_dialogoEjecutar", 
				KeyStroke.getKeyStroke(
						KeyEvent.VK_P, ActionEvent.CTRL_MASK) },
						
*/
			// ACCIÓN del menú Ventana
			{ "eti_men_ventana", "Ventana" },
			{ "mne_men_ventana", KeyEvent.VK_V },
			
			// ACCIÓN Gprof Edición
			{ "eti_vistaEdicion", "Vista Edición" },
			{ "mne_vistaEdicion", KeyEvent.VK_E },
			{ "tip_vistaEdicion", "Pasar a la vista de edición" },
			{ "key_vistaEdicion", 
					KeyStroke.getKeyStroke(KeyEvent.VK_E, 
							ActionEvent.CTRL_MASK) },
			
			// ACCIÓN Vista Compilación
			{ "eti_vistaCompilacion", "Vista Compilación" },
			{ "mne_vistaCompilacion", KeyEvent.VK_C },
			{ "tip_vistaCompilacion", "Pasar a la vista de compilación" },
			{ "key_vistaCompilacion", 
					KeyStroke.getKeyStroke(KeyEvent.VK_C, 
							ActionEvent.CTRL_MASK) },

			// ACCIÓN Vista Ejecución
			{ "eti_vistaEjecucion", "Vista Ejecución" },
			{ "mne_vistaEjecucion", KeyEvent.VK_J },
			{ "tip_vistaEjecucion", "Pasar a la vista de ejecución" },
			{ "key_vistaEjecucion", 
				KeyStroke.getKeyStroke(KeyEvent.VK_J, 
						ActionEvent.CTRL_MASK) },

			// ACCIÓN Vista Gprof
			{ "eti_vistaGprof", "Vista Gprof" },
			{ "mne_vistaGprof", KeyEvent.VK_G },
			{ "tip_vistaGprof", "Pasar a la vista de gprof" },
			{ "key_vistaGprof", 
				KeyStroke.getKeyStroke(KeyEvent.VK_G, 
						ActionEvent.CTRL_MASK) },
			
			// ACCIÓN Vista Estadísticas
			{ "eti_vistaEstadisticas", "Vista Estadísticas" },
			{ "mne_vistaEstadisticas", KeyEvent.VK_S },
			{ "tip_vistaEstadisticas", "Pasar a la vista de estadísticas" },
			{ "key_vistaEstadisticas", 
				KeyStroke.getKeyStroke(KeyEvent.VK_S, 
						ActionEvent.CTRL_MASK) },
						
			// ACCIÓN Vista Traduccion
			{ "eti_vistaTR", "Vista Traducción" },
			{ "mne_vistaTR", KeyEvent.VK_T },
			{ "tip_vistaTR", "Pasar a la vista de traducción" },
			{ "key_vistaTR", 
				KeyStroke.getKeyStroke(KeyEvent.VK_T, 
						ActionEvent.CTRL_MASK ) },
						
			//ACCIÓN del menú Ayuda
			{ "eti_men_ayuda", "Ayuda" },
			{ "mne_men_ayuda", KeyEvent.VK_Y },

			// ACCIÓN Ayuda
			{ "eti_ayuda", "Ayuda de GUIgprof" },
			{ "mne_ayuda", KeyEvent.VK_G },
			{ "tip_ayuda", "Muestra el contenido de la ayuda" },
			{ "key_ayuda", 
				KeyStroke.getKeyStroke(KeyEvent.VK_F1, 
						0 ) },
			
			// ACCIÓN Acerca De
			{ "eti_acercaDe", "Acerca De GUIgprof" },
			{  "atx_dialog-acercaDe" , "GUIgprof" + "\n\n" +
"Versión: 1.0" + "\n\n" + 
"GUIgprof es un entorno gráfico para Linux hecho en Java, que intenta " + "\n" +
"agilizar todas las tareas relativas al perfilado de un programa a través " + "\n" +  
"de la orden gprof. Además muestra los resultados de un modo visualmente " +  "\n" +
"más agradable." + "\n\n" + 
"Proyecto Fin de Carrera de Ángel García Fernández para Ingeniería Técnica " + "\n" +
"en Informática de Gestión en la Universidad de Cádiz. 2011." + "\n\n" + 
"Este producto está bajo licencia GPL" },
			{ "mne_acercaDe", KeyEvent.VK_A },
			{ "tip_acercaDe", "Muestra un pequeño diálogo con información del programa" },
			{ "key_acercaDe", 
				KeyStroke.getKeyStroke(KeyEvent.VK_F10, 
						0 ) },


			//Miscelanea
			{ "men_SesionGuardada", "La sesión se guardó correctamente" },
			{ "eti_sesion_seguroSobreescribir", "El fichero elegido ya existe. \n" +
				"¿Estás usted seguro de querer sobreescribirlo?" },

			//Descripciones de filtros de ficheros
			{ "des_TodosLenguajes", "Código de todos los lenguajes (*.c, *.cpp, *.pas, *.for, ...)" },
			{ "des_C", "Código fuente del lenguaje C (*.c, *.cc, *.cp, *.c++, *.cpp, *.cxx)" },
			{ "des_Pascal", "Código fuente del lenguaje Pascal (*.pas)" },
			{ "des_Fortran", "Código fuente del lenguaje Fortran (*.f, *.for, *.f90, *.f95, *.fpp)"},
			{ "des_exeFicheros" , "Ficheros ejecutables" },
			{ "des_XML" , "Fichero XML (*.xml)" },
			{ "des_XMLgprof" , "Fichero XML específico gprof (*.gprof.xml)" },
			{ "des_gprof" , "Fichero salida gprof (*.gprof)" },
			{ "des_archivoDatosBinarios", "Fichero Datos Binario (*.out)" },
			{ "des_Todos", "Todos los archivos (*.*)" },
			{ "des_SoloDirectorios", "Sólo directorios" },
			{ "des_Sesion", "Fichero de sesión (*.session)" },
			
			//Dialogo Abrir:
			{ "dlg_sesion_title", "Abrir una sesión" },
			{ "dlg_sesion_save_title", "Guardar la sesión" },
			{ "dlg_edicion_title", "Abrir un archivo fuente" },
			{ "dlg_ejecucion_title", "Abrir un programa" },
			{ "dlg_gprof_title", "Abrir un archivo gprof" },
			{ "dlg_xml_title", "Abrir un archivo XML" },
			{ "dlg_salida_title", "Abrir un archivo intrumentalizado (gmon.out)" },
			{ "dlg_directorio_title", "Elige un directorio" },
			{ "dlg_defaultOpen_title", "Abrir" },
			{ "eti_ocultos", "Mostrar ocultos" },
			{ "tip_ocultos", "Mostrar archivos ocultos" },
			
			//Panel edicion
			{ "eti_edicion_seguroCerrar", "¿Estás usted seguro de querer cerrar?"},
			
			//Panel compilación
			{ "eti_ficheros", "Ficheros a compilar:"},
			{ "eti_comando", "Compilando:"},
			{ "eti_directorioTrabajo", "Directorio de trabajo:"},
			{ "eti_estado", "Estado"},
			{ "eti_salida", "Salida por consola:"},
			{ "eti_ejecutando", "Ejecutando" },
			{ "eti_SalidaCompilacionFracaso", "Fallo en la compilación" },
			{ "eti_SalidaCompilacionExito", "Éxito en la compilación" },
			{ "eti_compilacion_seguroCerrar", "¿Estás usted seguro de querer cerrar esta compilación?" },
			//dialogo Nueva Compilación
			//{ "eti_cancelar", "Cancelar" }, %ya está definido
			{ "eti_botOk", "Aceptar" },
			{ "eti_cambiarDT", "Cambiar directorio de trabajo: " },
			{ "eti_titulo_dialogo_nuevaCompilacion", "Nueva compilación" },
			{ "eti_nombreEjecutable", "Nombre programa:" },
			{ "eti_directorioTrabajo", "Directorio de trabajo" },
			{ "nombreEstandarCompilacion", "Programa" },
			//dialogo Editar Comando
			{ "eti_comandoAEditar", "Editar comando manualmente: " },
			{ "eti_ordenAEditar", "Editar orden y opciones específicas" }, 
			{ "eti_titulo_dialogo_editar", "Editar comando" },
			{ "eti_comandoAuto", "Dejar al sistema hacerlo por mí." },
			//dialogo Cambiar Nombre Programa
			{ "eti_nuevoNombre", "Nuevo nombre: " },
			{ "eti_titulo_dialogo_cambiarNombrePrograma", "Cambiar el nombre al programa" },
			
			
			//Panel ejecucion
			{ "eti_ejecucion_seguroCerrar", "¿Estás usted seguro de terminar con esta ejecución de su programa?" },
			{ "eti_entradas", "Entradas:" },
			{ "nombreEstandarEjecucion", "Ejecución" },
			{ "eti_argumentos", "Argumentos:" },
			
			//dialogo Nuevo argumento
			{ "eti_titulo_dialogo_nuevoArgumento", "Nuevo Argumento" },
			{ "eti_nuevoArgumento", "Nuevo argumento: " },
			//dialogo Nueva entrada
			{ "eti_titulo_dialogo_nuevaEntrada", "Nueva Entrada" },
			{ "eti_nuevaEntrada", "Nueva entrada: " },
			//Dialogo cambiar nombre
			{ "eti_titulo_dialogo_cambiarNombreGmon", "Cambiar el nombre al fichero estadísticas (gmon.out)" },
			
			//Panel gprof
			{ "nombreEstandarGprof", "Resumen_ejecucion" },
			{ "eti_programa" , "Programa:" },
			{ "eti_comando_gprof", "Ejecutando gprof:" },
			{ "eti_datosEjecucion" , "Fichero datos:" },
			{ "eti_salidaGprof" , "Estadísticas gprof:" },
			{ "eti_gprofInicio" , "Iniciando gprof: " },
			{ "eti_gprofError" , "Ha ocurrido un error:" },
			{ "eti_ejecutandoGprof", "Invocando a gprof" },
			{ "eti_SalidaGprofExito", "La invocación a gprof acabó con éxito" },
			{ "eti_SalidaGprofFracaso", "Fallo al invocar a gprof" },
			{ "eti_errorNombreDirectorioTrabajo" , "No hay directorio de trabajo asignado" },
			{ "eti_errorNombreArchivoDatos" , "No hay archivo de datos asignado" },
			{ "eti_errorNombrePrograma" , "No hay programa asignado" },
			{ "eti_gprof_seguroCerrar" , "¿Estás usted seguro de terminar con este perfilado?" },
			//Dialogo Generar Gprof
			{ "eti_titulo_dialogo_generarGprof", "Generar salida de gprof" },
			{ "eti_nombreGprof", "Nombre fichero salida gprof:" },
			{ "eti_nombreProgramaGprof", "Programa:" },
			{ "eti_nombreArchivoDatos", "Archivo de datos:" },
			{ "eti_directorioTrabajo", "Directorio de trabajo" },
			//Dialogo cambiar nombre
			{ "eti_titulo_dialogo_cambiarNombreGprof", "Cambiar el nombre al fichero salida de gprof" },
			
			
			//Panel traduccion
			{ "nombreEstandarTR", "Resumen_ejecucion_XML" },
			{ "eti_comandoTR", "Comando:" },
			{ "eti_salidaGprofTR", "Fichero gprof:"},
			{ "eti_XMLtraduccion", "Fichero XML:"},
			{ "eti_trInicio" , "Iniciando traducción" },
			{ "eti_ejecutandoTR", "Ejecutando el traductor sobre el fichero gprof" },
			{ "eti_SalidaTraduccionExito", "Éxito en la traducción" },
			{ "eti_SalidaTraduccionFracaso", "Fallo en la traducción" },
			{ "eti_tr_seguroCerrar" , "¿Estás usted seguro de terminar con la traducción a XML?" },
			//Dialogo cambiar nombre
			{ "eti_titulo_dialogo_cambiarNombreXML", "Cambiar el nombre al fichero XML" },
			
			//Panel estadísticas
			{ "eti_estadisticas_seguroCerrar", "¿Estás usted seguro de querer cerrar estas estadísticas?" },
			{ "eti_eligeVista", "Elige la vista de las estadísticas que desees:" },
			{ "eti_PerfilPlano", "Perfil Plano" },
			{ "eti_GrafoLlamadas", "Grafo de Llamadas" },
			{ "eti_FuenteAnotado", "Fuentes Anotados" },
			{ "eti_VerVistaSalida", "Salida de Gprof" },
			{ "eti_XML", "gprof XML" },
			{ "bot_filtro", "Filtro de funciones" },
			{ "bot_buscar", "Buscar funciones" },
			{ "bot_configurar", "Configurar" },
			{ "eti_ficheroXML", "Fichero XML:" },
			
			//Panel grafo llamadas
			/*{ "eti_ListaFunciones", "Lista de funciones:" },*/
			{ "eti_Arbol", "Árbol de llamadas:" },
			{ "eti_Fseñalada", "Función seleccionada:" },
			{ "eti_Fllamadoras", "Funciones llamadoras:" },
			{ "eti_Fllamadas", "Funciones llamadas:" },
			{ "eti_XML", "gprof XML" },
			{ "ttp_nombre", "Nombre de la función" },
			{ "ttp_porcentaje", "Porcentaje de tiempo total"},
			{ "ttp_tpropio", "Tiempo propio" },
			{ "ttp_thijos", "Tiempo en los hijos"},
			{ "ttp_tacumulado", "Tiempo acumulado"},
			{ "ttp_tpropioxllamada", "Tiempo propio por llamada"},
			{ "ttp_ttotalxllamada", "Tiempo total por llamada"},
			{ "ttp_etpropio", "Tiempo propio (estimación)" },
			{ "ttp_ethijos", "Tiempo en los hijos (estimación)"},
			{ "ttp_llamadas", "Llamadas a esta función"},
			{ "ttp_llamadasrecursivas", "Llamadas recursivas a esta función"},
			{ "ttp_indice", "Índice"},
			{ "ttp_ciclo", "Ciclo" },
			{ "ttp_incertidumbre", "incertidumbre" },
			{ "flr_ciclo", "ciclo" },
			
			//Panel perfil plano
			{ "eti_porcentajes", "Porcentajes:" },
					
			//Panel fichero anotado
			{ "eti_NombreFicheroFuenteElegido", "Nombre: " },
			{ "eti_ListaFuentes" , "Lista de fuentes:" },
			{ "ttp_ejecutada" , "veces ejecutada" },
			{ "ttp_linea", "línea" },
			
			//Panel ejecucion
			{ "eti_errorDirectorioTrabajo", "Error leyendo directorio de trabajo" },
			{ "eti_argumentos", "Argumentos:" },
			{ "eti_directorioTrabajo", "Directorio trabajo:" },
			{ "eti_salida", "Salida:" },
			{ "eti_entrada", "Entrada:" },
			{ "eti_errores", "Errores:" },
			{ "eti_comandoEjecucion", "Ejecutando:" },
			{ "eti_SalidaEjecucionFracaso", "Fallo en la ejecución" },
			{ "eti_SalidaEjecucionExito", "Éxito en la ejecución" },
			
			//Modelos Estadísticas:
			//Modelo Tabla Perfil Plano
			{ "eti_MoPP_acumulado", "Segundos acumulados" },
			{ "eti_MoPP_etiempoXllamada", "Tiempo propio por llamada" }, 
			{ "eti_MoPP_etiempoTotalXllamada", "Tiempo total por llamada" },
			
			//Modelo Tabla Funcion Padre
			{ "eti_MoGL_porcentajeP", "Porcentaje de tiempo total" },
			{ "eti_MoGL_tpropioP", "Estimación del tiempo propio" }, 
			{ "tip_MoGL_tpropioP", "Estimación del tiempo propio gastado por la función principal cuando fue llamada por ésta (en segundos)" }, //por regresión
			{ "eti_MoGL_thijosP", "Estimación del tiempo en los hijos" },
			{ "tip_MoGL_thijosP", "Estimación del tiempo gastado en los hijos por la función principal cuando fue llamada por ésta (en segundos)" },//por regresión
			{ "eti_MoGL_ciclo" , "Ciclo" },
			{ "tip_MoGL_ciclo" , "Ciclo al que pertenece" },
			
			//Modelo Tabla Funcion Hija
			{ "eti_MoGL_porcentajeH", "Porcentaje de tiempo total" },
			{ "eti_MoGL_tpropioH", "Estimación del tiempo propio" }, 
			{ "tip_MoGL_tpropioH", "Estimación del tiempo propio gastado por esta función cuando fue llamada por la función principal (en segundos)" }, //por regresión
			{ "eti_MoGL_thijosH", "Estimación del tiempo en los hijos" },
			{ "tip_MoGL_thijosH", "Estimación del tiempo gastado en los hijos por esta función cuando fue llamada por la función principal (en segundos)" },//por regresión			

			//Modelo Tabla Funcion Señalada
			{ "eti_MoGL_nombre", "Nombre de la función" },
			{ "eti_MoGL_porcentaje", "Porcentaje de tiempo total" },
			{ "eti_MoGL_tpropio", "Tiempo propio en segundos" },//me gustaría poner tiempo relativo a estas llamadas, por regresión
			{ "eti_MoGL_thijos", "Tiempo de los hijos segundos" },//me gustaría poner tiempo relativo a estas llamadas, por regresión
			{ "eti_MoGL_llamadas", "Nº de llamadas" },
			{ "eti_MoGL_llamadasR", "Nº de llamadas recursivas" },
			{ "eti_MoGL_indice", "Índice" },

			//Modelo Tabla Fuente Anotado
			{ "eti_MoFA_num", "Nº Linea" },
			{ "eti_MoFA_ejecuciones", "Nº Veces Ejecutada" },
			{ "eti_MoFA_lineaO", "Línea Original" },
			
			//Modelo árbol funciones
			{ "eti_MoArb_raiz", "Espontáneas" },
			
			//Dialogo de preferencias
			{ "eti_botDefault", "Cargar Opciones por Defecto" },
			{ "eti_preferencias-dialog" , "Preferencias" },
			{ "s_pesDirectorios", "Directorios de Trabajo (por defecto)"  },
			{ "s_pesOrdenes" , "Órdenes y Argumentos" },
			{ "s_pesGenerales" , "Opciones Generales" },
			{ "s_etiModificarOrdenes", "Modificar Órdenes y Argumentos"  },
			{ "s_ordenCompilar", "Compilación General" },
			{ "s_ordenGprof" , "Orden Gprof"},
			{ "s_ordenTraductor", "Traductor" },
			{ "s_ordenC", "Compilar C" },
			{ "s_ordenCpp" , "Compilar C++"},
			{ "s_ordenPascal" , "Compilar Pascal" },
			{ "s_ordenFortran" , "Compilar Fortran" },
			{ "s_cambiarIdioma" , "Cambiar el Idioma" },
			{ "s_cambiarFuente" , "Cambiar la Fuente"},
			{ "s_cambiarLookAFeel" , "Cambiar el Look & Feel"},
			{ "s_cambiarEditor" , "Cambiar el editor para los ficheros fuente"},
			{ "s_cambiarEditorXML" , "Cambiar el editor de ficheros XML"},
			{ "s_modificarDir"  , "Modificar los directorios de trabajo" },
			{ "s_dirCompilacion" , "Directorio trabajo para compilación" },
			{ "s_dirEjecucion" , "Directorio trabajo para ejecución"},
			{ "s_dirGprof"  , "Directorio trabajo para gprof"},
			{ "s_dirTraductor"  , "Directorio trabajo para traductor"},
			{ "s_dirGeneral" , "Directorio por defecto general"},
			{ "s_seguroCerrarPreferencias", "¿Está seguro que quiere cancelar?\n" +
				"Se perderán todos los cambios en las preferencias que acabas de modificar." },
			{ "s_seguroInstalarL&F", "¿Quiere instalar el look and feel ahora?\n" +
					"Si lo instala ahora puede que no obtenga el resultado deseado.\n" +
					"De todos modos, se instalará correctamente la próxima vez que abra la aplicación"},
			{ "s_reinicieParaCambios" , "Algunos cambios realizados como el \"look & feel\" o \n" +
										"la fuente de texto, no tendrán efecto hasta que se \n" +
										"inicie de nuevo la aplicación." },
			{ "s_español" , "Español" },
			{ "s_english" , "Inglés" },

			//Dialogo Cambiar Comando
			{ "eti_cambiarComando-dialog" , "Cambiar Orden" },
			{ "s_etiArgumentos" , "Argumentos" },
			{ "s_etiOrden" , "Orden" },
			{ "s_etiSelOrden" , "Seleccionar orden:" },
			{ "s_etiComandoCompleto" , "Comando Completo" },
			
			//Dialogo de Fuente
			{ "s_etiFuente" , "Fuente" },
			{ "s_etiTamaño" , "Tamaño" },
			{ "s_etiEstilo" , "Estilo" },
			{ "s_vistaPrevia"  , "Vista Previa" },
			{ "eti_fuente-dialog", "Elegir Fuente" },
			{ "s_normal" , "Normal" }, //--regular
			{ "s_italica" , "Cursiva"} , //--italic
			{ "s_negrita" , "Negrita"} , //--bold
			{ "s_italicaYnegrita" , "Cursiva y Negrita"},
			{ "s_tamaño_grande" , "Ese tamaño de fuente es demasiado grande (+40) o demasiado pequeño (-5).\n" +
				"Debes cambiarlo" },
		
			//DialogoAcercaDe
			{ "eti_dialog-acercaDe", "Acerca De GUIgprof" },
			{ "eti_botCerrar" , "Cerrar" },

			//Dialogo Directorio
			{ "eti_dialogoDirectorio", "Selecciona un directorio" },
			
			//Dialog Cerrar
			{ "q_cerrar-dialog", "¿Quieres guardar la sesión para seguir trabajando en otro momento?" },
			{ "eti_salir-dialog", "Salir" },
			{ "eti_botGuardar", "Guardar" },
			{ "eti_botNoGuardar", "No Guardar" },
			{ "eti_botCancelar", "Cancelar" }, 
			{ "eti_preferencias", "Guardar la respuesta en las preferencias y no volver a preguntar" },
			
			{ "q_cerrarTodo_seguroCerrar", "Estás a punto de cerrar toda las pestañas abiertas. " +
					"Incluidas aquellas en las otras vistas. " +
					"¿Estás seguro de querer continuar?" },
			
			
			//Dialogo elegir l&f
			{ "lyf_crosplatform" , "look & feel - por defecto de java" },
			{ "lyf_system", "look & feel - del sistema" },
			{ "eti_NoL&F", "El look & feel guardado en las preferencias no está instalado \n" +
				"en este sistema. Debe elegir uno alternativo:" },
				
			//Dialogo Sesión
			{ "eti_botAñadirSesion" , "Añadir" },
			{ "eti_botDesecharSesion" , "Desechar" },
			{ "eti_sesion-dialog" , "Abrir Sesión" },
			{ "q_sesion-dialog" , "Ya hay una sesión abierta. Deseas añadir la nueva sesión a la que ya " +
				"está, guardar la actual y trabajar con la que estás a punto de abrir o " + 
				"desechar la actual." },
				
			//Dialogo Error
			{ "eti_error-dialog", "Error" },
			
	};
}