package modelo.modeloXML;

import java.io.File;
import java.util.Date;
import java.util.HashMap;
import java.util.Vector;


public class ModeloXML {


	Date									fecha				= null;
	File									ficheroXML			= null;
	File									ficheroGMON			= null;
	File									programa			= null;
	{
		// opciones gprof ¿?
	}

	Double									periodoMuestra		= null;
	Double									tiempoEjecucion		= null;

	Vector < FicheroInstrumentalizadoInfo >	infoFichero			= new Vector < FicheroInstrumentalizadoInfo > (0);
	HashMap < String , FicheroAnotado >		ficherosAnotados	= new HashMap < String , FicheroAnotado >(
																		0 );
	Vector < LineaPerfilPlano >				perfilPlano			= new Vector < LineaPerfilPlano >(
																		0 );
	Vector < FuncionInfo >					infoFunciones		= new Vector < FuncionInfo >(
																		0 );
	HashMap < Integer , EntradaFuncion >	entradasFuncion		= new HashMap < Integer , EntradaFuncion >(
																		0 );
	HashMap < Integer , Ciclo >				ciclos				= new HashMap < Integer , Ciclo >(
																		0 );
	String									salidaGprof			= null;

	// *************************
	// * de aquí palante es lo anterior... de aquí para atrás estará basado en
	// el modelo conceptual

	String									contenidoFicheroXML;



	public Date getFecha ( ) {
		return fecha;
	}

	public File getFicheroXML ( ) {
		return ficheroXML;
	}

	public File getFicheroGMON ( ) {
		return ficheroGMON;
	}

	public File getPrograma ( ) {
		return programa;
	}

	public Vector < FicheroInstrumentalizadoInfo > getInfoFichero ( ) {
		return infoFichero;
	}
	
	public void addInfoFichero ( FicheroInstrumentalizadoInfo f ) {
		infoFichero.add( f );
	}

	public HashMap < String , FicheroAnotado > getFicherosAnotados ( ) {
		return ficherosAnotados;
	}

	public void addFicheroAnotado ( FicheroAnotado f ) {
		ficherosAnotados.put( f.getNombreFichero( ) ,
				f );
	}
	
	public Vector < LineaPerfilPlano > getPerfilPlano ( ) {
		return perfilPlano;
	}

	public void addLineaPerfilPlano ( LineaPerfilPlano l ) {
		perfilPlano.add( l );
	}
	
	public Double getPeriodoMuestra ( ) {
		return periodoMuestra;
	}
	
	public void setPeriodoMuestra ( Double d ) {
		periodoMuestra = d;
	}

	public Double getErrorEsperado ( ) {
		Double resultado = null;
		if ( this.hasGrafoLlamadas( ) && this.hasPerfilPlano( ) ) {
			Double n = Math.sqrt( this.getTiempoEjecucion( )
					/ this.getPeriodoMuestra( ) );
			resultado = n * this.getPeriodoMuestra( )
					/ this.getTiempoEjecucion( );
		}
		return resultado;
	}

	public Double getTiempoEjecucion ( ) {
		return ( this.hasGrafoLlamadas( ) ? tiempoEjecucion : null );
	}
	
	public void setTiempoEjecucion ( Double d ) {
		tiempoEjecucion = d;
	}

	public Vector < FuncionInfo > getInfoFunciones ( ) {
		return infoFunciones;
	}
	
	public void addInfoFuncion ( FuncionInfo fi ) {
		infoFunciones.add( fi );
	}

	public HashMap < Integer , EntradaFuncion > getEntradasFuncion ( ) {
		return entradasFuncion;
	}
	
	public void addEntradaFuncion( EntradaFuncion  e) {
		entradasFuncion.put( e.getIndice( ) ,
				e );
	}

	public HashMap < Integer , Ciclo > getCiclos ( ) {
		return ciclos;
	}
	
	public void addCiclo ( Ciclo c ) {
		ciclos.put( c.getIndice( ) , c );
	}

	public String getSalidaGprof ( ) {
		return salidaGprof;
	}
	
	public void setSalidaGprof ( String s ) {
		salidaGprof = s;
	}

	public String getContenidoFicheroXML ( ) {
		return contenidoFicheroXML;
	}
	
	public void setContenidoFicheroXML ( String s ) {
		contenidoFicheroXML = s;
	}

	public boolean hasGrafoLlamadas ( ) {
		return entradasFuncion.size( ) > 0 ? true : false;
	}

	public boolean hasPerfilPlano ( ) {
		return perfilPlano.size( ) > 0 ? true : false;
	}

	public boolean hasCiclos ( ) {
		return ciclos.size( ) > 0 ? true : false;
	}

	public boolean hasFicheroAnotado ( ) {
		return ficherosAnotados.size( ) > 0 ? true : false;
	}

	public boolean hasFuncionInfo ( ) {
		return this.infoFunciones.size( ) > 0 ? true : false;
	}

	public boolean hasFicheroIntrumentalizadoInfo ( ) {
		return this.infoFichero.size( ) > 0 ? true : false;
	}

	public boolean hasSalidaGprof ( ) {
		return ( salidaGprof != null && !salidaGprof.isEmpty() );
	}

}
