/**
 * Es la acción de abrir un fichero
 * fuente para consultarlo.  
 */

package interfaz.acciones;

import java.awt.event.ActionEvent;
import java.util.ResourceBundle;
import javax.swing.AbstractAction;

public class AccionAbrirFuente extends AbstractAction {

	/** Serial Version UID */ 
	private final static long	serialVersionUID	= 2L;
	
	/** recursos para dar soporte sobre idiomas	 */
	static ResourceBundle					idiomas				= ResourceBundle
																.getBundle( "interfaz.idiomas.Recursos" );
	/** recursos de iconos etc...	 */
	static ResourceBundle					recursos			= ResourceBundle
																.getBundle( "interfaz.Recursos" );

	{
		putValue( LARGE_ICON_KEY , recursos
				.getObject( "img_abrirFuente" ) );
		putValue( MNEMONIC_KEY , idiomas.getObject( "mne_abrirFuente" ) );
		putValue( ACCELERATOR_KEY , idiomas
				.getObject( "key_abrirFuente" ) );
		putValue( SHORT_DESCRIPTION , idiomas
				.getString( "tip_abrirFuente" ) );
		putValue( NAME, idiomas.getString( "eti_abrirFuente" ) );
	}
	
	InterfazAbrirEdicion i;
	
	public AccionAbrirFuente ( InterfazAbrirEdicion i ) {
		this.i = i;
	}
	
	@Override
	public void actionPerformed ( ActionEvent e ) {
		i.abrirEdicion();
	}

};