package interfaz.dialogos.dialogoAbrir;



import java.util.ResourceBundle;

import javax.swing.filechooser.FileFilter;

import negocio.PreferenciasSingleton;

public class ExeFilter  extends FileFilter  {
	ResourceBundle idiomas = ResourceBundle.getBundle("interfaz.idiomas.Recursos", 
			PreferenciasSingleton.getPreferenciasSingleton( ).getPreferencias( ).getLocale( ) );


	//Acepta todos los directorios y los ficheros fuente de fortran
	public boolean accept ( java.io.File f ) {
		boolean accept=false;
		if ( f.isDirectory() ) {
			accept=true;
		}
		else {
			if ( f.isFile() && f.canExecute() )
				accept=true;
			else
				accept=false;
		}
		return accept;
	}

	//Descripción del filtro
	public String getDescription () { 
		return new String( idiomas.getString( "des_exeFicheros" ) ); 
	}
}
