/**
 * 
 */
package interfaz.dialogos.dialogoAbrir;


import java.io.File;
import java.util.ResourceBundle;

import javax.swing.Icon;
import javax.swing.ImageIcon;
import javax.swing.filechooser.FileView;

import modelo.ficheros.UtilidadesExtensionFichero;
import negocio.PreferenciasSingleton;


/**
 * @author angel2
 *
 */
public class GprofFileView extends FileView {
	ResourceBundle propiedades = ResourceBundle.getBundle("interfaz.idiomas.Recursos", 
			PreferenciasSingleton.getPreferenciasSingleton( ).getPreferencias().getLocale( ) );

	    public String getName(File f) {
	        return null; //dejar al Look&Fell File View lo encuentre
	    }

	    public String getDescription(File f) {
	        return null; //dejar al Look&Fell File View lo encuentre
	    }

	    public Boolean isTraversable(File f) {
	        return null; //dejar al Look&Fell File View lo encuentre
	    }

	    public String getTypeDescription(File f) {
	        String descripción = null;

	        if ( UtilidadesExtensionFichero.isC(f))
	        	descripción = propiedades.getString("des_C");
	        else if ( UtilidadesExtensionFichero.isFortran(f))
	        	descripción = propiedades.getString("des_Fortran");
	        else if ( UtilidadesExtensionFichero.isPascal(f))
	        	descripción = propiedades.getString("des_Pascal");
	        else if ( UtilidadesExtensionFichero.isGprof(f))
	        	descripción = propiedades.getString("des_Gprof");
	        
	        return descripción;
	    }

	    public Icon getIcon(File f) {
	    	ImageIcon icono;
	    	icono =  UtilidadesExtensionFichero.getIcono(f);
	    	return icono;
	    }
}
