package interfaz.errores;

import java.util.ListResourceBundle;



public class Errores_es_ES  extends ListResourceBundle {
	public Object[][] getContents() {
		return contents;
	}

	private Object[][] contents = {
			
			{ "wordError", "Error" },
			
			{ "err_errorEjecuciónOrden", "Error al ejecutar la orden. Ejecución Interrumpida." },
			{ "err_errorEjecuciónOrden_orden", "Orden: " }, 
			{ "err_errorEjecución_directorio", "Directorio de Trabajo: " },
			{ "err_stackTrace", "Stack Trace: " },
			
			// Error action abrir
			{ "err_ArchivoDatos" , "El fichero elegido no es válido y/o no se puede abrir." },
			{ "err_FicheroXML" , "El fichero elegido no es válido y/o no se puede abrir." },
			{ "err_FicheroSalidaGprof" , "El fichero elegido no es válido y/o no se puede abrir." },
			{ "err_AbrirPrograma" , "El programa elegido no es válido y/o no se puede abrir o ejecutar." },
			{ "err_AbrirFuente" , "El fichero elegido no es válido y/o no se puede leer." },
			{ "err_AbrirSesion" , "El fichero elegido no es válido y/o no se puede leer." },
			{ "err_abrirGprof-no-programa" , "No se puede usar gprof porque el programa \n" +
				"seleccionado no existe, ha cambiado de ubicación o de nombre." },
			{ "err_abrirGprof-no-gmon" , "No se puede usar gprof porque el fichero de datos (gmon.out) \n" +
				"seleccionado no existe, ha cambiado de ubicación o de nombre." },
			{ "err_abrirTraductor-no-salida" ,  "No se puede usar el traductor porque el fichero con la salida \n" +
				"estándar de gprof (.gprof) seleccionado no existe, ha cambiado de \n" + "ubicación o de nombre." },
	
				//errores vista:
			{"err_no_vista_disponible" ,"vista de estadísticas no disponible" },
				
			//Errores motor
			{ "err_NoCanonicalPath", "No se ha podido encontrar el path para "/*fichero*/ },
			{ "err_look&feel", "No se ha podido cargar correctamente el look and feel." },
			{ "err_ayuda" , "No se ha podido cargar el fichero de ayuda" },
			{ "err_io" , "Error de Entrada Salida con un fichero."},
			{ "err_errorLectura", "No ha sido posible leer el fichero. " },
			{ "err_errorCompilacion", "Error al compilar. \n"+"La ejecución se ha interrumpido inésperadamente." },
			{ "err_errorTraduccion", "Error al traducir de salida gprof a xml. \n"+"La ejecución se ha interrumpido inésperadamente." },
			{ "err_errorGprof", "Error al usar gprof. \n"+"La ejecución se ha interrumpido inésperadamente." },
			{ "err_errorEjecucion", "Error al ejecutar. \n"+"La ejecución se ha interrumpido inésperadamente." },
			{ "err_errorEdicion", "Error al editar fichero fuente. \n"+"La ejecución del programa externo se ha interrumpido inésperadamente." },
			{ "err_errorEdicionXML", "Error al editar fichero XML. \n"+"La ejecución del programa externo se ha interrumpido inésperadamente." },
			{ "err_inesperado", "Error inesperado." } ,
			{ "err_ventanaPrincipal", "Error inesperado al arrancar la ventana principal." } ,
			{ "err_errorLecturaXML", "No se ha podido leer el fichero XML correctamente debido a algún \n" +
					"error en el mismo." },
			{ "err_errorLecturaXMLSesion" ,"No se ha podido leer el fichero XML de la Sesión correctamente \n" +
					"debido a algún error en el mismo." }, 
			{ "err_errorEscrituraXMLSesion" ,"No se ha podido escribir el fichero XML de la Sesión correctamente \n" +
					"debido a algún tipo de error." },	
			{ "err_relativepath" , "Error inesperado intentando obtener el nombre relativo de los archivos." },
			{ "err_crearFichero" , "No ha podido ser creado el fichero: \n" /* fichero */},
			{ "err_crearGmon" , "No se ha creado el fichero de datos: \n" /* fichero */},
			{ "err_renombrarGmon" , "No se ha podido renombrar el fichero de datos gmon.out a: \n" /* fichero */},
			{ "err_borrarFichero" , "No se ha podido borrar el fichero: \n" /* fichero */},
			{ "no-err_crearFichero" , "El fichero se ha creado correctamente: \n" /* fichero */},
			{ "err_gprof-faltaprograma" , "Vas a necesitar introducir el programa con el que se generó \n" +
				"el fichero de datos." },
			//{ "err_sesionGuardar", "Fallo al guardar la sesión" },
			
			//errores preferencias
			{ "programDirCreated" , "El directorio de configuración del programa\n" + 
				"se ha creado correctamente" },
			{ "programDirNotCreated" , "El directorio de configuración del programa\n" + 
			"no se ha creado correctamente. Se usará el directorio\n" +
			"de casa del usuario."},
			{ "SetupFileCreated", "Se ha creado el fichero de preferencias correctamente." }, 
			{ "SetupFileNotCreated", "No se ha podido crear el fichero de preferencias correctamente." }, 
			{ "err_errorLecturaXMLPreferencias" ,"No se ha podido leer el fichero XML con las Preferencias \n" +
												"correctamente debido a algún error. Se usarán las \n" +
												"preferencias predeterminadas" }, 
			{ "err_errorEscrituraXMLPreferencias" ,"No se ha podido escribir el fichero XML con las Preferencias \n" +
			"correctamente debido a algún error interno." },
			{ "err_ejecucion_comando", "No se ha podido ejecutar el siguiente comando debido a un error de entrada salida:" },
			{ "err_detalles:", "Detalles:" },

	};
}
